/**
 * @file Create a pascal case string.
 * @memberof module:apeman-util/lib/string
 * @function pascalString
 * @param {string} src - Source string.
 * @returns {string} - Pascal case string.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

var u = require('../../lib'),
    ext = u.ext,
    c = ext.case;

module.exports = function pascalString(src) {
    var camelCased = c.camel(String(src));
    if (!camelCased.length) {
        return camelCased;
    }
    return camelCased.substr(0, 1).toUpperCase() + camelCased.substr(1);

};